#!/usr/bin/env node

var program = require('commander');
var open = require('open');
var config = require('../package.json');

program
    .version('v' + config.version)
    .usage('<command>')
    .option('-v, --version', 'output the version number')
    .option('-d, --doc', 'open page https://bnc.baidu.com/contact/docs?docName=platformDoc')
    .option('-u, --url', 'open page https://bnc.baidu.com/  ')
    .command('init', 'generate a new project from template')
    .command('list', 'list available abilities')
    .command('server', 'launch a http server')
    .command('build', 'build project for debug')
    .command('pack', 'pack project to upload')
    .parse(process.argv);

if(program.doc) {
    open('https://bnc.baidu.com/contact/docs?docName=platformDoc');
    console.log('https://bnc.baidu.com/contact/docs?docName=platformDoc')
}

if(program.url) {
    open('https://bnc.baidu.com/');
    console.log('https://bnc.baidu.com/')
}