
var fs = require('fs');
var path = require('path');
var archive = require('archiver')('zip');
var file = require('./file');

exports.zip = function (dir, zipName, cb) {

    var fileArray = file.scanDirectory(dir);
    var output = fs.createWriteStream(zipName);

    output.on('close', function() {
        console.log(archive.pointer() + ' total bytes');
        console.log('archiver has been finalized and the output file descriptor has closed.');
    });

    archive.on('error', function(err) {
        throw err;
    });

    fileArray.forEach(function (item) {
        var rPath = path.relative(dir, item);
        archive.append(fs.createReadStream(item), { name: rPath })
    });
    archive.finalize();
    archive.pipe(output);
};


